

<div class="container"> 
    <form dir="rtl" [formGroup]="userForm">
    <div class="grid-container" >
       
      

   <div> 
        <section class="card-row">
            <!-- name -->
            <mat-form-field class="col-5">
                <mat-label>الاسم</mat-label>
                <input cdkFocusInitial tabindex="1" formControlName="name" required type="text" matInput />
                <mat-error>هذه الحقل مطلوب</mat-error>
            </mat-form-field>
            <mat-form-field class="col-5">
                <mat-label>تاريخ الميلاد</mat-label>
                <input cdkFocusInitial tabindex="1" formControlName="date" required type="date" matInput />
                <mat-error>هذه الحقل مطلوب</mat-error>
            </mat-form-field>
          

        </section>

        <!-- Expiry -->
        <section class="card-row">
            <mat-form-field class="col-5">
                <mat-label>السكن</mat-label>
                <input cdkFocusInitial tabindex="1" formControlName="place" type="text" matInput />

            </mat-form-field>
            <mat-form-field class="col-5">
                <mat-label>الجنس</mat-label>
                <mat-select required formControlName="gender" tabindex="6">
                    <mat-option value="m" required>
                    ذكر
                    </mat-option>
                    <mat-option value="f" required>
                      انثى
                    </mat-option>
                
                  </mat-select>
            </mat-form-field>
           
        </section>


       <section class="card-row">
        <mat-form-field class="col-6">
            <mat-label>مجالات العمل </mat-label>
            <mat-select (selectionChange)="changed()" name="selectedColumns" multiple formControlName="jobs"
                required>
                <mat-option *ngFor="let job of jobs" [value]="job.value">
                    {{job.value}}
                </mat-option>
            </mat-select>
        </mat-form-field>
        <mat-form-field class="col-6 mid">
            <mat-label>ملخص عن عمل الزبون </mat-label>
            <input tabindex="4" formControlName="summary" matInput type="text" 
                required />
            <mat-error>هذا الحقل مطلوب</mat-error>
        </mat-form-field>
       </section>
        
        <section class="card-row columns">
            <mat-form-field class="col-6">
                <mat-label>الرقم </mat-label>
                <input  formControlName="phone" matInput type="string" required />
                <mat-error>هذا الحقل مطلوب</mat-error>
            </mat-form-field>
            <mat-form-field class="col-6">
                <mat-label>الايميل </mat-label>
                <input  formControlName="email" matInput type="text" required />
                <mat-error>هذا الحقل مطلوب</mat-error>
            </mat-form-field>
        </section>
    
</div>
<div>
    <label >الصورة الشخصية</label>
    <img mat-card-image *ngIf=" imageSrc != null" [src]="imageSrc">
    <input
        formControlName='image'
        type="file"
        class="form-control"
        accept="image/*" id="imageFile"
        (change)="onFileChange($event)">
  
  
</div>
</div>
</form>
</div>
<br>
<div class="action-button">
    <button class="save"  (click)="onSave()" mat-button>
        حفظ
    </button>
</div>